Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.addon.ocr.OCRSuspectInfo Class Reference

## Public Member Functions
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
int | getPage_index ()
| Get the index of page. More...
String | getSuspect_words ()
| Get suspicious words after OCR recognition. More...
RectF | getWords_rect ()
| Get the box rectangle, in PDF coordinate system for suspicious words. More...
void | setPage_index (int value)
| Set the index of page. More...
void | setSuspect_words (String value)
| Set suspicious words after OCR recognition. More...
void | setWords_rect (RectF value)
| Set the box rectangle, in PDF coordinate system for suspicious words. More...

## Detailed Description

This class indicates that it is used to collect the information set of suspicious results that exist after OCR recognition is completed. Use this information to quickly locate the page and coordinate position of the suspicious information.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.ocr.OCRSuspectInfo.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getPage_index()

com.foxit.sdk.addon.ocr.OCRSuspectInfo.getPage_index | ( |  | ) |

Get the index of page.

Returns
  The index of page.

## ◆ getSuspect_words()

com.foxit.sdk.addon.ocr.OCRSuspectInfo.getSuspect_words | ( |  | ) |

Get suspicious words after OCR recognition.

Returns
  Suspicious words after OCR recognition.

## ◆ getWords_rect()

com.foxit.sdk.addon.ocr.OCRSuspectInfo.getWords_rect | ( |  | ) |

Get the box rectangle, in PDF coordinate system for suspicious words.

Returns
  The box rectangle, in PDF coordinate system for suspicious words.

## ◆ setPage_index()

com.foxit.sdk.addon.ocr.OCRSuspectInfo.setPage_index | ( | int | value | ) |

Set the index of page.

Parameters

  [in] | value | The index of page.

Returns
  None.

## ◆ setSuspect_words()

com.foxit.sdk.addon.ocr.OCRSuspectInfo.setSuspect_words | ( | String | value | ) |

Set suspicious words after OCR recognition.

Parameters

  [in] | value | Suspicious words after OCR recognition.

Returns
  None.

## ◆ setWords_rect()

com.foxit.sdk.addon.ocr.OCRSuspectInfo.setWords_rect | ( | RectF | value | ) |

Set the box rectangle, in PDF coordinate system for suspicious words.

Parameters

  [in] | value | The box rectangle, in PDF coordinate system for suspicious words.

Returns
  None.